
// myFundedStatus provides functions to store and retrieve a user's message/profile/report funded statuses.
// We use the package myIdentityBalance to keep track of our identity funded statuses

package myFundedStatus

// Each message, mate profile and report must be funded by purchasing payment proofs
// This package will keep a local copy of the payment proofs
// This will prevent them from disappearing if the database is deleted

//TODO: Build this package

// Outputs:
//	-bool: Status is known
//	-bool: Message is funded
//	-int64: Expiration time
//	-error
func CheckIfMyMessageIsFunded(messageHash [26]byte)(bool, bool, int64, error){

	//TODO

	return true, true, 1000000000000, nil
}

//Outputs:
//	-bool: Status is known
//	-bool: Profile is funded
//	-int64: Profile expiration time
//	-error
func CheckIfMyMateProfileIsFunded(profileHash [28]byte)(bool, bool, int64, error){

	//TODO

	return true, true, 1000000000000, nil
}

//Outputs:
//	-bool: Status is known
//	-bool: Report is funded
//	-int64: Report expiration time
//	-error
func CheckIfMyReportIsFunded(reportHash [30]byte)(bool, bool, int64, error){

	//TODO

	return true, true, 1000000000000, nil
}


